FullWrtStruct.hxx File Reference
`#include <librevenge/librevenge.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWEntry.hxx"`

Go to the source code of this file.

## Classes

struct | FullWrtStruct::Border
| Internal: class to store a border which appear in docInfo. More...
struct | FullWrtStruct::Entry
| the definition of a zone in a FullWrite file More...
struct | FullWrtStruct::ZoneHeader
| a structure used to store the data of a zone header in a FullWrite file More...

## Namespaces

namespace | FullWrtStruct
| a namespace use to define common structure in a FullWrite file

## Typedefs

typedef std::shared_ptr< Entry > | FullWrtStruct::EntryPtr

## Functions

bool | FullWrtStruct::getColor (int color, MWAWColor &col)
| try to convert a file data to a color
std::string | FullWrtStruct::getTypeName (int type)
| returns the type name